Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document 

Public Class rptTeam 

    Dim counter As Integer
    Dim report As New rptPlayer()
    Private Sub rptTeam_ReportStart(sender As System.Object, e As System.EventArgs) Handles MyBase.ReportStart
        Me.DataSource = GetData()
        'To show the team name on the main report
        textBox1.DataField = "name"
        counter = 0
    End Sub

    Dim count As Integer = 0

    Private Sub rptTeam_FetchData(sender As System.Object, eArgs As GrapeCity.ActiveReports.SectionReport.FetchEventArgs) Handles MyBase.FetchData
        count += 1
    End Sub

    Private Sub detail_Format(sender As System.Object, e As System.EventArgs) Handles detail.Format
        Me.picture1.SizeMode = SectionReportModel.SizeModes.Stretch
        If count = 1 Then
            Me.picture1.Image = System.Drawing.Image.FromFile("..\..\Flags\USA.jpg")
        ElseIf count = 2 Then
            Me.picture1.Image = System.Drawing.Image.FromFile("..\..\Flags\UK.jpg")
        ElseIf count = 3 Then
            Me.picture1.Image = System.Drawing.Image.FromFile("..\..\Flags\India.jpg")
        ElseIf count = 4 Then
            Me.picture1.Image = System.Drawing.Image.FromFile("..\..\Flags\Australia.jpg")
        End If

        'Assign the datasource to the subreport
        report.DataSource = GetData()(counter).players
        report.DataMember = "pName"
        subReport1.Report = report
        counter += 1
    End Sub

    Public Function GetData() As IList(Of Team)
        Dim listOfPlayer1 As New List(Of Player)() From { _
         New Player() With { _
          .pName = "Jon" _
         }, _
         New Player() With { _
           .pName = "Rosh" _
         }, _
         New Player() With { _
           .pName = "Tim" _
         } _
        }

        Dim listOfPlayer2 As New List(Of Player)() From { _
         New Player() With { _
           .pName = "Thomas" _
         }, _
         New Player() With { _
           .pName = "Jack" _
         }, _
         New Player() With { _
           .pName = "Paul" _
         } _
        }

        Dim listOfPlayer3 As New List(Of Player)() From { _
         New Player() With { _
           .pName = "Gatim" _
         }, _
         New Player() With { _
           .pName = "Aashish" _
         }, _
         New Player() With { _
           .pName = "Subodh" _
         } _
        }

        Dim listOfPlayer4 As New List(Of Player)() From { _
         New Player() With { _
           .pName = "Josh" _
         }, _
         New Player() With { _
           .pName = "Albert" _
         }, _
         New Player() With { _
           .pName = "Charles" _
         } _
        }

        'Add the teams and their corresponding players
        Dim listOfTeam As New List(Of Team)() From { _
         New Team() With { _
           .name = "U.S.A", _
           .players = listOfPlayer1 _
         }, _
         New Team() With { _
           .name = "U.K", _
           .players = listOfPlayer2 _
         }, _
         New Team() With { _
           .name = "India", _
           .players = listOfPlayer3 _
         }, _
         New Team() With { _
           .name = "Australia", _
           .players = listOfPlayer4 _
         } _
        }

        Return listOfTeam
    End Function


End Class
